Bug 860818 - operation schedule doesn't show proper "repeat every" value
operation schedule doesn't show proper "repeat every" value
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.6
Assigned To: Jirka Kremser
Mike Foley
Depends On:
Blocks: 893435
  Show dependency treegraph
Reported: 2012-09-26 15:14 EDT by John Mazzitelli
Modified: 2013-08-31 06:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-31 06:15:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2012-09-26 15:14:38 EDT
Schedule a repeating operation so that you set "Repeat every" to some value (say 12345 seconds or 12345 minutes).

Save it, then go to the Schedules subtab and look at the schedule. The "Repeat every" always shows a value that appears to be in milliseconds, and it always says the units is "seconds" even though you tell it a different one (say minutes or hours). The value actually looks correct (albeit in milliseconds) but clearly this UI display needs to be fixed.
Comment 1 Jirka Kremser 2012-10-02 16:25:24 EDT
fixed in master by 88e982c


time:    Tue Oct 2 22:18:32 2012 +0200
commit:  88e982cc45e152fc2025bd73f7e8f7a6ed9d52bb
author:  Jirka Kremser - jkremser@redhat.com
message: [Bug 860818 - operation schedule doesn't show proper "repeat every" value] The "seconds" unit type was used no matter what actual units were selected. Now when the operation is scheduled, the "repeat every" value is persisted to DB in millis and when displaying the details about the op., the millis are converted to human readable form.
Comment 2 Filip Brychta 2013-02-11 04:59:34 EST
Verified on 
Version: 4.6.0-SNAPSHOT
Build Number: 73a33d5
Comment 3 Heiko W. Rupp 2013-08-31 06:15:55 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.